'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _utils = require('./utils');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Created by timur on 3/10/17.
 */

var Grid = function Grid(_ref) {
  var children = _ref.children;


  var rawGrid = (0, _utils.itemToArray)(children);

  var grid = rawGrid.map(function (rowsArr, i) {

    var rows = (0, _utils.itemToArray)(rowsArr);

    return _react2.default.createElement(
      'div',
      { key: i, className: 'row' },
      rows.map(function (columns) {

        var cols = (0, _utils.itemToArray)(columns);

        return cols.map(function (col, j) {
          return _react2.default.createElement(
            'div',
            { key: j, className: col.type },
            col.children
          );
        });
      })
    );
  });

  return _react2.default.createElement(
    'div',
    null,
    grid
  );
};

exports.default = Grid;